Class OidcConstants.TokenTypes
- Namespace
- Fdyay.IdentityServer
- Assembly
- Fdyay.IdentityServer.Core.dll
Names of the kinds of token: the Type this server creates a token as, the
token_type_hint values revocation and introspection accept, and the token_type values of a token
response.
public static class OidcConstants.TokenTypes
- Inheritance
-
OidcConstants.TokenTypes
- Inherited Members
Fields
AccessToken
An access token: the type an access token is created as, and a token_type_hint value (RFC 7009 §2.1).
public const string AccessToken = "access_token"
Field Value
AccessTokenUrn
RFC 8693 §3: the URN naming an access token, as a token-exchange request and response use.
public const string AccessTokenUrn = "urn:ietf:params:oauth:token-type:access_token"
Field Value
Remarks
Distinct from AccessToken, which is this server's internal name for the same thing. The URN is the wire value RFC 8693 defines; the two are not interchangeable and a request naming the short form is not naming a type this server knows.
Bearer
RFC 6750: the token_type of an access token any holder may present; issued when the token is not
DPoP-bound.
public const string Bearer = "Bearer"
Field Value
DPoP
RFC 9449: a token bound to a key the client proves it holds on every request.
public const string DPoP = "DPoP"
Field Value
IdentityToken
An identity token (OpenID Connect Core 1.0 §2): the type an identity token is created as.
public const string IdentityToken = "id_token"
Field Value
LogoutToken
The type a back-channel logout token (OpenID Connect Back-Channel Logout 1.0 §2.4) is created as.
public const string LogoutToken = "logout_token"
Field Value
RefreshToken
A refresh token: a token_type_hint value (RFC 7009 §2.1).
public const string RefreshToken = "refresh_token"
Field Value
TokenIntrospectionJwtMediaType
RFC 9701 §4: the media type a caller asks for, and is answered in, for a signed introspection response.
public const string TokenIntrospectionJwtMediaType = "application/token-introspection+jwt"